  /**
@author Sergio Catalan y Eduardo Duran
@fecha 13 de Junio de 2005
*/
	
   import javax.swing.*;
   import java.awt.event.*;
   import java.awt.*;
   import java.awt.geom.*;
   import java.applet.*;
   import java.awt.image.*;
   import java.lang.*;
   import java.io.*;
   import java.util.*;
	import java.sql.*;
	import javax.sql.*;
 	
	 //Clase que muestra los datos personales del socio conectado
    public class PanelFicha extends JPanel{
      
       public PanelFicha(Statement stat, String login){
         
			//Estilo
         setBackground(Color.white);
         setBorder(BorderFactory.createTitledBorder("Ficha Personal"));
			
			//Consultas
			try
			{
			res = stat.executeQuery("select * from socios where login='"+login+"'");
			res.next();
			//Se adquieren los datos del socio, segun su login, de la base de datos.
			login = res.getString("login");
			nombre = res.getString("nombre");
			apellido = res.getString("apellido");
			rut = res.getString("rut");
			rol = res.getString("rol");
			telefono = res.getString("telefono");
			celular = res.getString("celular");
			email = res.getString("email");
			}
			catch(Exception e2)
			{
			System.out.println(e2);
			}
			
			//Se crean etiquetas con los resultados obtenidos
         JLabel Login = new JLabel("Login");
			JLabel dbLogin = new JLabel(login);
			JLabel Nombre = new JLabel("Nombre");
			JLabel dbNombre = new JLabel(nombre);
			JLabel Apellido = new JLabel("Apellido");
			JLabel dbApellido = new JLabel(apellido);
			JLabel Rut = new JLabel("Rut");
			JLabel dbRut = new JLabel(rut);
			JLabel Rol = new JLabel("Rol");
			JLabel dbRol = new JLabel(rol);
			JLabel Telefono = new JLabel("Telefono");
			JLabel dbTelefono = new JLabel(telefono);
			JLabel Celular = new JLabel("Celular");
			JLabel dbCelular = new JLabel(celular);
			JLabel Email = new JLabel("Email");
			JLabel dbEmail = new JLabel(email);
			
			//Se concatenan Nombre y Apellido para formar el nombre de la foto del socio
			String nFoto = nombre + apellido;
	
			//Se agrega la foto del socio
			setBackground(Color.white);
         ImageIcon imagen = new ImageIcon("./img/"+nFoto+".jpg");
         JLabel foto = new JLabel(imagen);
         add(foto);
			
			//Se crean 2 paneles, a la izq y a la derecha, para mostrar la informacion
			JPanel p = new JPanel();
			FlowLayout f = new FlowLayout();
			p.setBackground(Color.white);
			f.setHgap(20); 
			p.setLayout(f); 
			 

			JPanel p2 = new JPanel();
			p2.setLayout(new GridLayout(8, 1)); 
			p2.setBackground(Color.white);
			
			//Se agregan las componentes a los paneles
			p2.add(Login); 
			p2.add(Nombre); 
			p2.add(Apellido); 
			p2.add(Rut); 
			p2.add(Rol);
			p2.add(Telefono);
			p2.add(Celular);
			p2.add(Email); 
			
			JPanel p3 = new JPanel();
			p3.setLayout(new GridLayout(8, 1));
			p3.setBackground(Color.white);
			
			p3.add(dbLogin); 
			p3.add(dbNombre); 
			p3.add(dbApellido); 
			p3.add(dbRut); 
			p3.add(dbRol);
			p3.add(dbTelefono);
			p3.add(dbCelular);
			p3.add(dbEmail); 
			
			//Se agregan los paneles
			p.add(p2);
			p.add(p3);
			
			//Se agrega el panel maestro
			add(p);
		 
			}

		
		
		ResultSet res;
		String login;
		String nombre;
		String apellido;
		String rut;
		String rol;
		String telefono;
		String celular;
		String email;
		Container c;
		   }
